%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         kimor79
%global repo            gollectd
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          1d0fc88b7c2bf0ba79021ddca2b5f5fd9cc3a5a3
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0
Release:        0.1.git%{shortcommit}%{?dist}
Summary:        A go parser for the collectd binary protocol
License:        BSD
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}

%package devel
BuildRequires:  golang >= 1.2.1-3
BuildRequires:  golang(github.com/stretchr/testify/assert)
Requires:       golang >= 1.2.1-3
Requires:       golang(github.com/stretchr/testify/assert)
Summary:        %{summary}
Provides:       golang(%{import_path}) = %{version}-%{release}
Provides:       golang(%{import_path}/examples) = %{version}-%{release}
Provides:       golang(%{import_path}/examples/parse_typesdb) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for 
building other packages which use %{project}/%{repo}.

%prep
%setup -q -n %{repo}-%{commit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav *.go %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav examples %{buildroot}/%{gopath}/src/%{import_path}/

%check
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}

%files devel
%doc README.md LICENSE
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}

%changelog
* Mon Nov 10 2014 jchaloup <jchaloup@redhat.com> - 0-0.1.git1d0fc88
- First package for Fedora
  resolves: #1162106
